QuantLib: CPICashFlow Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | Protected Attributes | List of all members
CPICashFlow Class Reference

Cash flow paying the performance of a CPI (zero inflation) index. More...

`#include <ql/cashflows/cpicoupon.hpp>`

Inheritance diagram for CPICashFlow:
[legend]

## Public Member Functions
| CPICashFlow (Real notional, const boost::shared_ptr< ZeroInflationIndex > &index, const Date &baseDate, Real baseFixing, const Date &fixingDate, const Date &paymentDate, bool growthOnly=false, CPI::InterpolationType interpolation=CPI::AsIndex, const Frequency &frequency=QuantLib::NoFrequency)
virtual Real | baseFixing () const
| value used on base date More...
virtual Date | baseDate () const
| you may not have a valid date
virtual CPI::InterpolationType | interpolation () const
| do you want linear/constant/as-index interpolation of future data?
virtual Frequency | frequency () const
virtual Real | amount () const
| redefined to use baseFixing() and interpolation
Public Member Functions inherited from IndexedCashFlow
| IndexedCashFlow (Real notional, const boost::shared_ptr< Index > &index, const Date &baseDate, const Date &fixingDate, const Date &paymentDate, bool growthOnly=false)
virtual Real | notional () const
virtual Date | fixingDate () const
virtual boost::shared_ptr< Index > | index () const
virtual bool | growthOnly () const
Date | date () const
Real | amount () const
| returns the amount of the cash flow More...
virtual void | accept (AcyclicVisitor &)
void | update ()
Public Member Functions inherited from CashFlow
bool | hasOccurred (const Date &refDate=Date(), boost::optional< bool > includeRefDate=boost::none) const
| returns true if an event has already occurred before a date More...
virtual Date | exCouponDate () const
| returns the date that the cash flow trades exCoupon
bool | tradingExCoupon (const Date &refDate=Date()) const
| returns true if the cashflow is trading ex-coupon on the refDate
Event interface
Visitability
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Protected Attributes
Real | baseFixing_
CPI::InterpolationType | interpolation_
Frequency | frequency_

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

Cash flow paying the performance of a CPI (zero inflation) index.

It is NOT a coupon, i.e. no accruals.

## Member Function Documentation

## ◆ baseFixing()

virtual Real baseFixing | ( |  | ) | const
| virtual

value used on base date

This does not have to agree with index on that date.